import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaCrawlerInputItem } from '@overflow/commons-typescript/model/meta';


@Injectable()
export class MetaCrawlerInputItemService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByMetaCrawlerID(metaCrawlerID: number): Observable<MetaCrawlerInputItem[]> {
    return this.rpcService.call('MetaCrawlerInputItemService.readAllByMetaCrawlerID', metaCrawlerID);
  }
}
